# Method: projects.locations.updateGoogleChannelConfig

- [HTTP request](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations/updateGoogleChannelConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations/updateGoogleChannelConfig#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations/updateGoogleChannelConfig#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations/updateGoogleChannelConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations/updateGoogleChannelConfig#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations/updateGoogleChannelConfig#body.aspect)
- [Try it!](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations/updateGoogleChannelConfig#try-it)

Update a single GoogleChannelConfig

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-north2">europe-north2</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west6">europe-west6</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="me-central2">me-central2</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="us-central1">us-central1</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="us-west8">us-west8</button> <button value="us">us</button> <button value="eu">eu</button>   
`PATCH https://eventarc.googleapis.com/v1/{googleChannelConfig.name=projects/*/locations/*/googleChannelConfig}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `googleChannelConfig.name` | `string` Required. The resource name of the config. Must be in the format of, `projects/{project}/locations/{location}/googleChannelConfig`. In API responses, the config name always includes the projectID, regardless of whether the projectID or projectNumber was provided. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The fields to be updated; only fields explicitly provided are updated. If no field mask is provided, all provided fields in the request are updated. To update all fields, provide a field mask of "\*". This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/GoogleChannelConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/GoogleChannelConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).